﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;

namespace RenamingTabItems
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        bool IsDoubleClick = false;
        public Window1()
        {
            InitializeComponent();
        }

        private void tbEdit_EditModeStarting(object sender, Infragistics.Windows.Editors.Events.EditModeStartingEventArgs e)
        {
            if (!IsDoubleClick)
            {
                // cance if it is not a double click!
                e.Cancel = true;
            }

            // set selection length, so that the Text is selected and ready to modify
            (sender as XamTextEditor).SelectionLength = (sender as XamTextEditor).Text.Length;
        }

        private void tbEdit_PreviewMouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            if (e.ClickCount == 2)
            {
                // set the flag
                IsDoubleClick = true;
            }
        }

        private void tbEdit_EditModeEnding(object sender, Infragistics.Windows.Editors.Events.EditModeEndingEventArgs e)
        {
            // reset the flag
            IsDoubleClick = false;
        }

    }
}
